#!/bin/bash

# to extract volume, total (free) energy, pressure lattice constant in x-direction and material density
# usage
# cd <working directory>
# .../tools/extr-V-E-P-profess.com <pattern of output file names>
# e.g.
# .../tools/extr-V-E-P-profess.com VT84F+XC.T100.-.R
# 

echo '#cellVolume(Ang^3) totalEnergy(eV) Pressure(GPa) Latt.Const.Ax(Ang) Rho(g/cm^3)' >> unsorted.data


for i in $(ls |grep "$1.*out"|awk {'print $1'}); do


R=`echo $i | cut -d 'R' -f2` # get part of filename after delimeter "R"
echo " R=" $R

# AND cut four last characters
R=`echo $R|sed s/.$//`
R=`echo $R|sed s/.$//`
R=`echo $R|sed s/.$//`
R=`echo $R|sed s/.$//`

echo "i=" $i " R=" $R
V=`cat $i|grep 'Volume'|tail -n 1 |awk '{print $4}' `
E=`cat $i|grep 'FTOTAL ENERGY'|tail -n 1 |awk '{print $5}' `
P=`cat $i|grep 'Pressure'|tail -n 1 |awk '{print $4}' `
Ax=`cat $i|grep 'LA 1'|tail -n 1 |awk '{print $4}' `

echo $V $E $P $Ax $R >> unsorted.data

done

rm -rf V-E-P-Ax-Rho.$1.data
sort -n unsorted.data > V-E-P-Ax-Rho.$1.data
rm unsorted.data


